Index: /WAeUP_SRP/trunk/exportimport.py
===================================================================
--- /WAeUP_SRP/trunk/exportimport.py	(revision 281)
+++ /WAeUP_SRP/trunk/exportimport.py	(revision 282)
@@ -525,5 +525,5 @@
     """
     site = context.getSite()
-    tool = getToolByName(site, TOOL, None)
+    tool = getattr(context,"campus",None)
     if tool is None:
         logger = context.getLogger(NAME)
@@ -548,33 +548,33 @@
 # components machinery and the associations made in the configure.zcml file.
 
-class WAeUPXMLAdapter(XMLAdapterBase, PropertyManagerHelpers):
-    """XML importer and exporter for the WAeUP tool.
-
-    Hence this XMLAdapter is really simple. To get more complete examples of
-    what XMLAdapters are meant to do, please have a look at the
-    CPSSkins.exportimport.py or CPSDirectory.exportimport.py files, for
-    instance.
-    """
-
-    adapts(IWAeUPTool, ISetupEnviron)
-    implements(IBody)
-
-    _LOGGER_ID = NAME
-    name = NAME
-
-    def _exportNode(self):
-        """Export the object as a DOM node.
-        """
-        node = self._getObjectNode('object')
-        node.appendChild(self._extractProperties())
-        self._logger.info("WAeUP tool exported.")
-        return node
-
-    def _importNode(self, node):
-        """Import the object from the DOM node.
-        """
-        if self.environ.shouldPurge():
-            self._purgeProperties()
-        self._initProperties(node)
-        self._logger.info("WAeUP tool imported.")
-
+##class WAeUPXMLAdapter(XMLAdapterBase, PropertyManagerHelpers):
+##    """XML importer and exporter for the WAeUP tool.
+##
+##    Hence this XMLAdapter is really simple. To get more complete examples of
+##    what XMLAdapters are meant to do, please have a look at the
+##    CPSSkins.exportimport.py or CPSDirectory.exportimport.py files, for
+##    instance.
+##    """
+##
+##    adapts(IWAeUPTool, ISetupEnviron)
+##    implements(IBody)
+##
+##    _LOGGER_ID = NAME
+##    name = NAME
+##
+##    def _exportNode(self):
+##        """Export the object as a DOM node.
+##        """
+##        node = self._getObjectNode('object')
+##        node.appendChild(self._extractProperties())
+##        self._logger.info("WAeUP tool exported.")
+##        return node
+##
+##    def _importNode(self, node):
+##        """Import the object from the DOM node.
+##        """
+##        if self.environ.shouldPurge():
+##            self._purgeProperties()
+##        self._initProperties(node)
+##        self._logger.info("WAeUP tool imported.")
+##
Index: /WAeUP_SRP/trunk/skins/waeup_academics/level_view_form.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_academics/level_view_form.pt	(revision 281)
+++ /WAeUP_SRP/trunk/skins/waeup_academics/level_view_form.pt	(revision 282)
@@ -32,4 +32,5 @@
             </td>
             <td tal:content="course/Title"></td>
+            <td tal:content="course/core_or_elective"></td>
             <td tal:content="course/credits"></td>
             <td tal:content="course/passmark"></td>
